<% 
  post_to = url_for(:controller => 'admin', :action => 'action') 
%>

<form method="post" onsubmit="return confirmAction()" id="admin_form" action="<%=post_to%>">

<div style="float: left;">
<select id="selected_action" name="selected_action">
<option selected="selected">Actions...</option>
<option value="start">&nbsp;&nbsp;Start</option>
<option value="stop">&nbsp;&nbsp;Stop</option>
<option value="destroy">&nbsp;&nbsp;Destroy</option>
</select>
<input type="submit" name="go" value="Go" />
</div>

<div style="float: left">
<%= render :partial => 'admin_navigation' %>
</div>

<div style="clear: left;">
</div>

<hr/>

Select: 
<a href="javascript:selectAll('admin_form', true)">All</a>,
<a href="javascript:selectAll('admin_form', false)">None</a>


<table id="global_table" border="0" cellpadding="0" cellspacing="0">
<tr>
  <td colspan="2"></td> <!-- Skip the Checkboxes and the seperator -->
  <td colspan="<%=@user_columns.size%>" class="big_top_cell">User Info</td>
  <td class="empty_header_cell" colspan="1"></td> <!-- Skip the seperator -->
  <td colspan="<%=@ve_columns.size%>" class="big_top_cell">Machine Info</td>
  <td class="rightmost_dummy_cell"></td>

</tr>

<tr>

  <!-- check boxes column -->
  <td class="checkbox_column_name"><img class="column_name_background" 
      src="/images/admin/table_header.png"/><img 
           class="order_arrow_image" style="margin-left:0.5em" border="0" 
           src="/images/admin/table_header_up.png"/></td>  

  <!-- Empty separator -->
  <td class="empty_header_cell"></td>    

  <% @user_columns.each do |c|%>
    <%= sortable_column_name(c, case c 
                                when :is_admin
                                  'Flags'
                                else
                                  c.to_s.titleize
                                end) %>

  <%end%>

  <td class="empty_header_cell"></td>   <!-- Empty separator -->

  <% @ve_columns.each do |c|%>
    <%= sortable_column_name(c, case c
      when :veid
        'VEID'
      when :ip
        'IP'
      else
        c.to_s.titleize
      end) %>
  <%end -%>

  <td class="rightmost_header_cell"></td>

</tr>

<% @rows.each do |row| %>
  <tr>
    <td class="table_cell" name="veid_<%=row[:veid]%>_cell">
      <center>
      <span name="checkbox_for_name_<%=row[:name]%>">
          <input name="checkbox_for_veid_<%=row[:veid]%>"
            id="veid_<%=row[:veid]%>_checkbox"
            onchange="highlightRow(<%=row[:veid]%>)"
            type="checkbox">
      </span>
      </center>
    </td>

    <td class="empty_table_cell"></td>

    <% @user_columns.each do |column_name| %>
      <td class="table_cell"
          name="veid_<%=row[:veid]%>_cell"><%= case column_name
                                 when :is_admin
                                   if row[:is_admin]
                                     "<span class=\"admin_flag\">A</span>"
                                   end
                                 else 
                                   row[column_name]
                                 end
      -%></td>
    <%end%>

    <td class="empty_table_cell"></td>

    <% @ve_columns.each do |column_name| %>
      <td class="table_cell" 
        name="veid_<%=row[:veid]%>_cell"><%= row[column_name] %></td>
    <%end%>

    <td class="rightmost_dummy_cell"></td>

  </tr>

  <script type="text/javascript">
  //<![CDATA[
    highlightRow(<%=row[:veid]%>);
  //]]>
  </script>

<% end %>


<!-- Bottom dummy cells -->
<tr>
  <td class="bottom_dummy_cell"></td>
  <td></td>
  <% @user_columns.each {%> <td class="bottom_dummy_cell"></td> <%} %>
  <td></td>
  <% @ve_columns.each {%> <td class="bottom_dummy_cell"></td> <%} %>
  <td class="rightmost_dummy_cell"></td>

</tr>

</table>

</form>


<div class="legend_box">
<div><span class="admin_flag">A</span> = Adminstrator</div>
<div><span class="disabled_flag">D</span> = Disabled</div>
</div>









